com.sun.grid.jgdi.configuration

## Class QueueInstanceImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.QueueInstanceImpl

- All Implemented Interfaces:
    GEObject, QueueInstance, java.io.Serializable, java.lang.Cloneable

      public class QueueInstanceImpl
      extends GEObjectImpl
      implements QueueInstance

  Java representation of the cull object QU_Type defined in sge_all_listsL.template

  Warning: The QueueInstanceImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInstanceImpl()` Create a new instance of QueueInstanceImpl.
    `QueueInstanceImpl(boolean initWithDefaultValues)` Create a new instanceof
    `QueueInstanceImpl(java.lang.String fullName)` Create a new instance of QueueInstanceImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(UserSet aacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addCkpt(java.lang.String ackpt)` Add a java.lang.String attribute.
    `void` | `addConsumableConfig(ComplexEntry aconsumableConfig)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addLoadThresholds(ComplexEntry aloadThresholds)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addMessage(QueueInstanceMessage amessage)` Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `addOwner(UserSet aowner)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addPe(java.lang.String ape)` Add a java.lang.String attribute.
    `void` | `addProjects(Project aprojects)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `addResourceUtilization(ResourceUtilization aresourceUtilization)` Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `addStateChanges(CalendarQueueState astateChanges)` Add a com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
    `void` | `addSubordinate(Subordinate asubordinate)` Add a com.sun.grid.jgdi.configuration.Subordinate attribute.
    `void` | `addSuspendThresholds(ComplexEntry asuspendThresholds)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addXacl(UserSet axacl)` Add a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `addXprojects(Project axprojects)` Add a com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `int` | `getAvailableAt()` Get the value of the availableAt attribute.
    `int` | `getCacheVersion()` Get the value of the cacheVersion attribute.
    `java.lang.String` | `getCalendar()` Get the value of the calendar attribute.
    `java.lang.String` | `getCkpt(int index)` Get a java.lang.String attribute at an index.
    `int` | `getCkptCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getCkptList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getConsumableConfig(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getConsumableConfigCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getConsumableConfigList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getEpilog()` Get the value of the epilog attribute.
    `java.lang.String` | `getFullName()` Get the value of the fullName attribute.
    `int` | `getGdiDoLater()` Get the value of the gdiDoLater attribute.
    `java.lang.String` | `getHCore()` Get the value of the hCore attribute.
    `java.lang.String` | `getHCpu()` Get the value of the hCpu attribute.
    `java.lang.String` | `getHData()` Get the value of the hData attribute.
    `java.lang.String` | `getHFsize()` Get the value of the hFsize attribute.
    `int` | `getHostSeqNo()` Get the value of the hostSeqNo attribute.
    `java.lang.String` | `getHRss()` Get the value of the hRss attribute.
    `java.lang.String` | `getHRt()` Get the value of the hRt attribute.
    `java.lang.String` | `getHStack()` Get the value of the hStack attribute.
    `java.lang.String` | `getHVmem()` Get the value of the hVmem attribute.
    `java.lang.String` | `getInitialState()` Get the value of the initialState attribute.
    `int` | `getJobCnt()` Get the value of the jobCnt attribute.
    `int` | `getJobSlots()` Get the value of the jobSlots attribute.
    `int` | `getLastSuspendThresholdCkeck()` Get the value of the lastSuspendThresholdCkeck attribute.
    `ComplexEntry` | `getLoadThresholds(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getLoadThresholdsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getLoadThresholdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `QueueInstanceMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.util.List<QueueInstanceMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.lang.String` | `getMinCpuInterval()` Get the value of the minCpuInterval attribute.
    `java.lang.String` | `getNotify()` Get the value of the notify attribute.
    `int` | `getNsuspend()` Get the value of the nsuspend attribute.
    `UserSet` | `getOwner(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getOwnerCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getOwnerList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.lang.String` | `getPe(int index)` Get a java.lang.String attribute at an index.
    `int` | `getPeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getPeList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getPendingJobCnt()` Get the value of the pendingJobCnt attribute.
    `int` | `getPendingSignal()` Get the value of the pendingSignal attribute.
    `int` | `getPendingSignalDeliveryTime()` Get the value of the pendingSignalDeliveryTime attribute.
    `java.lang.String` | `getPriority()` Get the value of the priority attribute.
    `java.lang.String` | `getProcessors()` Get the value of the processors attribute.
    `Project` | `getProjects(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getProjectsCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getProjectsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `java.lang.String` | `getProlog()` Get the value of the prolog attribute.
    `java.lang.String` | `getQhostname()` Get the value of the qhostname attribute.
    `java.lang.String` | `getQname()` Get the value of the qname attribute.
    `int` | `getQtype()` Get the value of the qtype attribute.
    `ResourceUtilization` | `getResourceUtilization(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getResourceUtilizationCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getResourceUtilizationList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.lang.String` | `getResumeMethod()` Get the value of the resumeMethod attribute.
    `java.lang.String` | `getSCore()` Get the value of the sCore attribute.
    `java.lang.String` | `getSCpu()` Get the value of the sCpu attribute.
    `java.lang.String` | `getSData()` Get the value of the sData attribute.
    `int` | `getSeqNo()` Get the value of the seqNo attribute.
    `java.lang.String` | `getSFsize()` Get the value of the sFsize attribute.
    `java.lang.String` | `getShell()` Get the value of the shell attribute.
    `java.lang.String` | `getShellStartMode()` Get the value of the shellStartMode attribute.
    `int` | `getSoftViolation()` Get the value of the softViolation attribute.
    `java.lang.String` | `getSRss()` Get the value of the sRss attribute.
    `java.lang.String` | `getSRt()` Get the value of the sRt attribute.
    `java.lang.String` | `getSStack()` Get the value of the sStack attribute.
    `java.lang.String` | `getStarterMethod()` Get the value of the starterMethod attribute.
    `CalendarQueueState` | `getStateChanges(int index)` Get a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
    `int` | `getStateChangesCount()` Get the number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
    `java.util.List<CalendarQueueState>` | `getStateChangesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
    `Subordinate` | `getSubordinate(int index)` Get a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
    `int` | `getSubordinateCount()` Get the number of com.sun.grid.jgdi.configuration.Subordinate attributes.
    `java.util.List<Subordinate>` | `getSubordinateList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Subordinate attributes.
    `int` | `getSuspendedOnSubordinate()` Get the value of the suspendedOnSubordinate attribute.
    `java.lang.String` | `getSuspendInterval()` Get the value of the suspendInterval attribute.
    `java.lang.String` | `getSuspendMethod()` Get the value of the suspendMethod attribute.
    `ComplexEntry` | `getSuspendThresholds(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getSuspendThresholdsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getSuspendThresholdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getSVmem()` Get the value of the sVmem attribute.
    `int` | `getTag()` Get the value of the tag attribute.
    `int` | `getTagged4schedule()` Get the value of the tagged4schedule attribute.
    `java.lang.String` | `getTerminateMethod()` Get the value of the terminateMethod attribute.
    `java.lang.String` | `getTmpdir()` Get the value of the tmpdir attribute.
    `int` | `getVersion()` Get the value of the version attribute.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `Project` | `getXprojects(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getXprojectsCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getXprojectsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `isRerun()` Get the value of the rerun attribute.
    `boolean` | `isSetAcl()` Determine if the acl attribute is set
    `boolean` | `isSetAvailableAt()` Determine if the availableAt attribute is set
    `boolean` | `isSetCacheVersion()` Determine if the cacheVersion attribute is set
    `boolean` | `isSetCalendar()` Determine if the calendar attribute is set
    `boolean` | `isSetCkpt()` Determine if the ckpt attribute is set
    `boolean` | `isSetConsumableConfig()` Determine if the consumableConfig attribute is set
    `boolean` | `isSetEpilog()` Determine if the epilog attribute is set
    `boolean` | `isSetFullName()` Determine if the fullName attribute is set
    `boolean` | `isSetGdiDoLater()` Determine if the gdiDoLater attribute is set
    `boolean` | `isSetHCore()` Determine if the hCore attribute is set
    `boolean` | `isSetHCpu()` Determine if the hCpu attribute is set
    `boolean` | `isSetHData()` Determine if the hData attribute is set
    `boolean` | `isSetHFsize()` Determine if the hFsize attribute is set
    `boolean` | `isSetHostSeqNo()` Determine if the hostSeqNo attribute is set
    `boolean` | `isSetHRss()` Determine if the hRss attribute is set
    `boolean` | `isSetHRt()` Determine if the hRt attribute is set
    `boolean` | `isSetHStack()` Determine if the hStack attribute is set
    `boolean` | `isSetHVmem()` Determine if the hVmem attribute is set
    `boolean` | `isSetInitialState()` Determine if the initialState attribute is set
    `boolean` | `isSetJobCnt()` Determine if the jobCnt attribute is set
    `boolean` | `isSetJobSlots()` Determine if the jobSlots attribute is set
    `boolean` | `isSetLastSuspendThresholdCkeck()` Determine if the lastSuspendThresholdCkeck attribute is set
    `boolean` | `isSetLoadThresholds()` Determine if the loadThresholds attribute is set
    `boolean` | `isSetMessage()` Determine if the message attribute is set
    `boolean` | `isSetMinCpuInterval()` Determine if the minCpuInterval attribute is set
    `boolean` | `isSetNotify()` Determine if the notify attribute is set
    `boolean` | `isSetNsuspend()` Determine if the nsuspend attribute is set
    `boolean` | `isSetOwner()` Determine if the owner attribute is set
    `boolean` | `isSetPe()` Determine if the pe attribute is set
    `boolean` | `isSetPendingJobCnt()` Determine if the pendingJobCnt attribute is set
    `boolean` | `isSetPendingSignal()` Determine if the pendingSignal attribute is set
    `boolean` | `isSetPendingSignalDeliveryTime()` Determine if the pendingSignalDeliveryTime attribute is set
    `boolean` | `isSetPriority()` Determine if the priority attribute is set
    `boolean` | `isSetProcessors()` Determine if the processors attribute is set
    `boolean` | `isSetProjects()` Determine if the projects attribute is set
    `boolean` | `isSetProlog()` Determine if the prolog attribute is set
    `boolean` | `isSetQhostname()` Determine if the qhostname attribute is set
    `boolean` | `isSetQname()` Determine if the qname attribute is set
    `boolean` | `isSetQtype()` Determine if the qtype attribute is set
    `boolean` | `isSetRerun()` Determine if the rerun attribute is set
    `boolean` | `isSetResourceUtilization()` Determine if the resourceUtilization attribute is set
    `boolean` | `isSetResumeMethod()` Determine if the resumeMethod attribute is set
    `boolean` | `isSetSCore()` Determine if the sCore attribute is set
    `boolean` | `isSetSCpu()` Determine if the sCpu attribute is set
    `boolean` | `isSetSData()` Determine if the sData attribute is set
    `boolean` | `isSetSeqNo()` Determine if the seqNo attribute is set
    `boolean` | `isSetSFsize()` Determine if the sFsize attribute is set
    `boolean` | `isSetShell()` Determine if the shell attribute is set
    `boolean` | `isSetShellStartMode()` Determine if the shellStartMode attribute is set
    `boolean` | `isSetSoftViolation()` Determine if the softViolation attribute is set
    `boolean` | `isSetSRss()` Determine if the sRss attribute is set
    `boolean` | `isSetSRt()` Determine if the sRt attribute is set
    `boolean` | `isSetSStack()` Determine if the sStack attribute is set
    `boolean` | `isSetStarterMethod()` Determine if the starterMethod attribute is set
    `boolean` | `isSetStateChanges()` Determine if the stateChanges attribute is set
    `boolean` | `isSetSubordinate()` Determine if the subordinate attribute is set
    `boolean` | `isSetSuspendedOnSubordinate()` Determine if the suspendedOnSubordinate attribute is set
    `boolean` | `isSetSuspendInterval()` Determine if the suspendInterval attribute is set
    `boolean` | `isSetSuspendMethod()` Determine if the suspendMethod attribute is set
    `boolean` | `isSetSuspendThresholds()` Determine if the suspendThresholds attribute is set
    `boolean` | `isSetSVmem()` Determine if the sVmem attribute is set
    `boolean` | `isSetTag()` Determine if the tag attribute is set
    `boolean` | `isSetTagged4schedule()` Determine if the tagged4schedule attribute is set
    `boolean` | `isSetTerminateMethod()` Determine if the terminateMethod attribute is set
    `boolean` | `isSetTmpdir()` Determine if the tmpdir attribute is set
    `boolean` | `isSetVersion()` Determine if the version attribute is set
    `boolean` | `isSetXacl()` Determine if the xacl attribute is set
    `boolean` | `isSetXprojects()` Determine if the xprojects attribute is set
    `UserSet` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeAcl(UserSet aacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllCkpt()` Remove all java.lang.String attributes.
    `void` | `removeAllConsumableConfig()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllLoadThresholds()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllMessage()` Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `void` | `removeAllOwner()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllPe()` Remove all java.lang.String attributes.
    `void` | `removeAllProjects()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `void` | `removeAllResourceUtilization()` Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `void` | `removeAllStateChanges()` Remove all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
    `void` | `removeAllSubordinate()` Remove all com.sun.grid.jgdi.configuration.Subordinate attributes.
    `void` | `removeAllSuspendThresholds()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.UserSet attributes.
    `void` | `removeAllXprojects()` Remove all com.sun.grid.jgdi.configuration.Project attributes.
    `java.lang.String` | `removeCkpt(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeCkpt(java.lang.String ackpt)` Remote a specific java.lang.String attribute.
    `boolean` | `removeConsumableConfig(ComplexEntry aconsumableConfig)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeConsumableConfig(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `boolean` | `removeLoadThresholds(ComplexEntry aloadThresholds)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeLoadThresholds(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `QueueInstanceMessage` | `removeMessage(int index)` Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `boolean` | `removeMessage(QueueInstanceMessage amessage)` Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `UserSet` | `removeOwner(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeOwner(UserSet aowner)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `java.lang.String` | `removePe(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removePe(java.lang.String ape)` Remote a specific java.lang.String attribute.
    `Project` | `removeProjects(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removeProjects(Project aprojects)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `ResourceUtilization` | `removeResourceUtilization(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `boolean` | `removeResourceUtilization(ResourceUtilization aresourceUtilization)` Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `boolean` | `removeStateChanges(CalendarQueueState astateChanges)` Remote a specific com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
    `CalendarQueueState` | `removeStateChanges(int index)` Remote a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
    `Subordinate` | `removeSubordinate(int index)` Remote a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
    `boolean` | `removeSubordinate(Subordinate asubordinate)` Remote a specific com.sun.grid.jgdi.configuration.Subordinate attribute.
    `boolean` | `removeSuspendThresholds(ComplexEntry asuspendThresholds)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeSuspendThresholds(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `UserSet` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `boolean` | `removeXacl(UserSet axacl)` Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
    `Project` | `removeXprojects(int index)` Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `boolean` | `removeXprojects(Project axprojects)` Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setAcl(int index, UserSet aacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setAvailableAt(int aAvailableAt)` Set the availableAt attribute.
    `void` | `setCacheVersion(int aCacheVersion)` Set the cacheVersion attribute.
    `void` | `setCalendar(java.lang.String aCalendar)` Set the calendar attribute.
    `void` | `setCkpt(int index, java.lang.String ackpt)` Set a java.lang.String attribute.
    `void` | `setConsumableConfig(int index, ComplexEntry aconsumableConfig)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setEpilog(java.lang.String aEpilog)` Set the epilog attribute.
    `void` | `setFullName(java.lang.String aFullName)` Set the fullName attribute.
    `void` | `setGdiDoLater(int aGdiDoLater)` Set the gdiDoLater attribute.
    `void` | `setHCore(java.lang.String aHCore)` Set the hCore attribute.
    `void` | `setHCpu(java.lang.String aHCpu)` Set the hCpu attribute.
    `void` | `setHData(java.lang.String aHData)` Set the hData attribute.
    `void` | `setHFsize(java.lang.String aHFsize)` Set the hFsize attribute.
    `void` | `setHostSeqNo(int aHostSeqNo)` Set the hostSeqNo attribute.
    `void` | `setHRss(java.lang.String aHRss)` Set the hRss attribute.
    `void` | `setHRt(java.lang.String aHRt)` Set the hRt attribute.
    `void` | `setHStack(java.lang.String aHStack)` Set the hStack attribute.
    `void` | `setHVmem(java.lang.String aHVmem)` Set the hVmem attribute.
    `void` | `setInitialState(java.lang.String aInitialState)` Set the initialState attribute.
    `void` | `setJobCnt(int aJobCnt)` Set the jobCnt attribute.
    `void` | `setJobSlots(int aJobSlots)` Set the jobSlots attribute.
    `void` | `setLastSuspendThresholdCkeck(int aLastSuspendThresholdCkeck)` Set the lastSuspendThresholdCkeck attribute.
    `void` | `setLoadThresholds(int index, ComplexEntry aloadThresholds)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setMessage(int index, QueueInstanceMessage amessage)` Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
    `void` | `setMinCpuInterval(java.lang.String aMinCpuInterval)` Set the minCpuInterval attribute.
    `void` | `setNotify(java.lang.String aNotify)` Set the notify attribute.
    `void` | `setNsuspend(int aNsuspend)` Set the nsuspend attribute.
    `void` | `setOwner(int index, UserSet aowner)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setPe(int index, java.lang.String ape)` Set a java.lang.String attribute.
    `void` | `setPendingJobCnt(int aPendingJobCnt)` Set the pendingJobCnt attribute.
    `void` | `setPendingSignal(int aPendingSignal)` Set the pendingSignal attribute.
    `void` | `setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)` Set the pendingSignalDeliveryTime attribute.
    `void` | `setPriority(java.lang.String aPriority)` Set the priority attribute.
    `void` | `setProcessors(java.lang.String aProcessors)` Set the processors attribute.
    `void` | `setProjects(int index, Project aprojects)` Set a com.sun.grid.jgdi.configuration.Project attribute.
    `void` | `setProlog(java.lang.String aProlog)` Set the prolog attribute.
    `void` | `setQhostname(java.lang.String aQhostname)` Set the qhostname attribute.
    `void` | `setQname(java.lang.String aQname)` Set the qname attribute.
    `void` | `setQtype(int aQtype)` Set the qtype attribute.
    `void` | `setRerun(boolean aRerun)` Set the rerun attribute.
    `void` | `setResourceUtilization(int index, ResourceUtilization aresourceUtilization)` Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `setResumeMethod(java.lang.String aResumeMethod)` Set the resumeMethod attribute.
    `void` | `setSCore(java.lang.String aSCore)` Set the sCore attribute.
    `void` | `setSCpu(java.lang.String aSCpu)` Set the sCpu attribute.
    `void` | `setSData(java.lang.String aSData)` Set the sData attribute.
    `void` | `setSeqNo(int aSeqNo)` Set the seqNo attribute.
    `void` | `setSFsize(java.lang.String aSFsize)` Set the sFsize attribute.
    `void` | `setShell(java.lang.String aShell)` Set the shell attribute.
    `void` | `setShellStartMode(java.lang.String aShellStartMode)` Set the shellStartMode attribute.
    `void` | `setSoftViolation(int aSoftViolation)` Set the softViolation attribute.
    `void` | `setSRss(java.lang.String aSRss)` Set the sRss attribute.
    `void` | `setSRt(java.lang.String aSRt)` Set the sRt attribute.
    `void` | `setSStack(java.lang.String aSStack)` Set the sStack attribute.
    `void` | `setStarterMethod(java.lang.String aStarterMethod)` Set the starterMethod attribute.
    `void` | `setStateChanges(int index, CalendarQueueState astateChanges)` Set a com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
    `void` | `setSubordinate(int index, Subordinate asubordinate)` Set a com.sun.grid.jgdi.configuration.Subordinate attribute.
    `void` | `setSuspendedOnSubordinate(int aSuspendedOnSubordinate)` Set the suspendedOnSubordinate attribute.
    `void` | `setSuspendInterval(java.lang.String aSuspendInterval)` Set the suspendInterval attribute.
    `void` | `setSuspendMethod(java.lang.String aSuspendMethod)` Set the suspendMethod attribute.
    `void` | `setSuspendThresholds(int index, ComplexEntry asuspendThresholds)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setSVmem(java.lang.String aSVmem)` Set the sVmem attribute.
    `void` | `setTag(int aTag)` Set the tag attribute.
    `void` | `setTagged4schedule(int aTagged4schedule)` Set the tagged4schedule attribute.
    `void` | `setTerminateMethod(java.lang.String aTerminateMethod)` Set the terminateMethod attribute.
    `void` | `setTmpdir(java.lang.String aTmpdir)` Set the tmpdir attribute.
    `void` | `setVersion(int aVersion)` Set the version attribute.
    `void` | `setXacl(int index, UserSet axacl)` Set a com.sun.grid.jgdi.configuration.UserSet attribute.
    `void` | `setXprojects(int index, Project axprojects)` Set a com.sun.grid.jgdi.configuration.Project attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### QueueInstanceImpl

          public QueueInstanceImpl()

      Create a new instance of QueueInstanceImpl. The new instance will not be initialized with the default values.

    - #### QueueInstanceImpl

          public QueueInstanceImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### QueueInstanceImpl

          public QueueInstanceImpl(java.lang.String fullName)

      Create a new instance of QueueInstanceImpl

  - ### Method Detail

    - #### isSetQhostname

          public boolean isSetQhostname()

      Determine if the qhostname attribute is set
      Specified by:
        `isSetQhostname` in interface `QueueInstance`
      Returns:
        `true` if the qhostname attribute is set

    - #### setQhostname

          public void setQhostname(java.lang.String aQhostname)

      Set the qhostname attribute.
      Parameters:
        `aQhostname` - the new value for the qhostname attribute

    - #### getQhostname

          public java.lang.String getQhostname()

      Get the value of the qhostname attribute.
      Specified by:
        `getQhostname` in interface `QueueInstance`
      Returns:
        the value of the qhostname attribute

    - #### isSetQname

          public boolean isSetQname()

      Determine if the qname attribute is set
      Specified by:
        `isSetQname` in interface `QueueInstance`
      Returns:
        `true` if the qname attribute is set

    - #### setQname

          public void setQname(java.lang.String aQname)

      Set the qname attribute.
      Parameters:
        `aQname` - the new value for the qname attribute

    - #### getQname

          public java.lang.String getQname()

      Get the value of the qname attribute.
      Specified by:
        `getQname` in interface `QueueInstance`
      Returns:
        the value of the qname attribute

    - #### isSetFullName

          public boolean isSetFullName()

      Determine if the fullName attribute is set
      Specified by:
        `isSetFullName` in interface `QueueInstance`
      Returns:
        `true` if the fullName attribute is set

    - #### setFullName

          public void setFullName(java.lang.String aFullName)

      Set the fullName attribute.
      Parameters:
        `aFullName` - the new value for the fullName attribute

    - #### getFullName

          public java.lang.String getFullName()

      Get the value of the fullName attribute.
      Specified by:
        `getFullName` in interface `QueueInstance`
      Returns:
        the value of the fullName attribute

    - #### isSetTag

          public boolean isSetTag()

      Determine if the tag attribute is set
      Specified by:
        `isSetTag` in interface `QueueInstance`
      Returns:
        `true` if the tag attribute is set

    - #### setTag

          public void setTag(int aTag)

      Set the tag attribute.
      Parameters:
        `aTag` - the new value for the tag attribute

    - #### getTag

          public int getTag()

      Get the value of the tag attribute.
      Specified by:
        `getTag` in interface `QueueInstance`
      Returns:
        the value of the tag attribute

    - #### isSetAvailableAt

          public boolean isSetAvailableAt()

      Determine if the availableAt attribute is set
      Specified by:
        `isSetAvailableAt` in interface `QueueInstance`
      Returns:
        `true` if the availableAt attribute is set

    - #### setAvailableAt

          public void setAvailableAt(int aAvailableAt)

      Set the availableAt attribute.
      Parameters:
        `aAvailableAt` - the new value for the availableAt attribute

    - #### getAvailableAt

          public int getAvailableAt()

      Get the value of the availableAt attribute.
      Specified by:
        `getAvailableAt` in interface `QueueInstance`
      Returns:
        the value of the availableAt attribute

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Determine if the seqNo attribute is set
      Specified by:
        `isSetSeqNo` in interface `QueueInstance`
      Returns:
        `true` if the seqNo attribute is set

    - #### setSeqNo

          public void setSeqNo(int aSeqNo)

      Set the seqNo attribute.
      Parameters:
        `aSeqNo` - the new value for the seqNo attribute

    - #### getSeqNo

          public int getSeqNo()

      Get the value of the seqNo attribute.
      Specified by:
        `getSeqNo` in interface `QueueInstance`
      Returns:
        the value of the seqNo attribute

    - #### isSetNsuspend

          public boolean isSetNsuspend()

      Determine if the nsuspend attribute is set
      Specified by:
        `isSetNsuspend` in interface `QueueInstance`
      Returns:
        `true` if the nsuspend attribute is set

    - #### setNsuspend

          public void setNsuspend(int aNsuspend)

      Set the nsuspend attribute.
      Parameters:
        `aNsuspend` - the new value for the nsuspend attribute

    - #### getNsuspend

          public int getNsuspend()

      Get the value of the nsuspend attribute.
      Specified by:
        `getNsuspend` in interface `QueueInstance`
      Returns:
        the value of the nsuspend attribute

    - #### isSetQtype

          public boolean isSetQtype()

      Determine if the qtype attribute is set
      Specified by:
        `isSetQtype` in interface `QueueInstance`
      Returns:
        `true` if the qtype attribute is set

    - #### setQtype

          public void setQtype(int aQtype)

      Set the qtype attribute.
      Parameters:
        `aQtype` - the new value for the qtype attribute

    - #### getQtype

          public int getQtype()

      Get the value of the qtype attribute.
      Specified by:
        `getQtype` in interface `QueueInstance`
      Returns:
        the value of the qtype attribute

    - #### isSetJobSlots

          public boolean isSetJobSlots()

      Determine if the jobSlots attribute is set
      Specified by:
        `isSetJobSlots` in interface `QueueInstance`
      Returns:
        `true` if the jobSlots attribute is set

    - #### setJobSlots

          public void setJobSlots(int aJobSlots)

      Set the jobSlots attribute.
      Parameters:
        `aJobSlots` - the new value for the jobSlots attribute

    - #### getJobSlots

          public int getJobSlots()

      Get the value of the jobSlots attribute.
      Specified by:
        `getJobSlots` in interface `QueueInstance`
      Returns:
        the value of the jobSlots attribute

    - #### isSetTmpdir

          public boolean isSetTmpdir()

      Determine if the tmpdir attribute is set
      Specified by:
        `isSetTmpdir` in interface `QueueInstance`
      Returns:
        `true` if the tmpdir attribute is set

    - #### setTmpdir

          public void setTmpdir(java.lang.String aTmpdir)

      Set the tmpdir attribute.
      Parameters:
        `aTmpdir` - the new value for the tmpdir attribute

    - #### getTmpdir

          public java.lang.String getTmpdir()

      Get the value of the tmpdir attribute.
      Specified by:
        `getTmpdir` in interface `QueueInstance`
      Returns:
        the value of the tmpdir attribute

    - #### isSetShell

          public boolean isSetShell()

      Determine if the shell attribute is set
      Specified by:
        `isSetShell` in interface `QueueInstance`
      Returns:
        `true` if the shell attribute is set

    - #### setShell

          public void setShell(java.lang.String aShell)

      Set the shell attribute.
      Parameters:
        `aShell` - the new value for the shell attribute

    - #### getShell

          public java.lang.String getShell()

      Get the value of the shell attribute.
      Specified by:
        `getShell` in interface `QueueInstance`
      Returns:
        the value of the shell attribute

    - #### isSetCalendar

          public boolean isSetCalendar()

      Determine if the calendar attribute is set
      Specified by:
        `isSetCalendar` in interface `QueueInstance`
      Returns:
        `true` if the calendar attribute is set

    - #### setCalendar

          public void setCalendar(java.lang.String aCalendar)

      Set the calendar attribute.
      Parameters:
        `aCalendar` - the new value for the calendar attribute

    - #### getCalendar

          public java.lang.String getCalendar()

      Get the value of the calendar attribute.
      Specified by:
        `getCalendar` in interface `QueueInstance`
      Returns:
        the value of the calendar attribute

    - #### isSetPriority

          public boolean isSetPriority()

      Determine if the priority attribute is set
      Specified by:
        `isSetPriority` in interface `QueueInstance`
      Returns:
        `true` if the priority attribute is set

    - #### setPriority

          public void setPriority(java.lang.String aPriority)

      Set the priority attribute.
      Parameters:
        `aPriority` - the new value for the priority attribute

    - #### getPriority

          public java.lang.String getPriority()

      Get the value of the priority attribute.
      Specified by:
        `getPriority` in interface `QueueInstance`
      Returns:
        the value of the priority attribute

    - #### isSetProcessors

          public boolean isSetProcessors()

      Determine if the processors attribute is set
      Specified by:
        `isSetProcessors` in interface `QueueInstance`
      Returns:
        `true` if the processors attribute is set

    - #### setProcessors

          public void setProcessors(java.lang.String aProcessors)

      Set the processors attribute.
      Parameters:
        `aProcessors` - the new value for the processors attribute

    - #### getProcessors

          public java.lang.String getProcessors()

      Get the value of the processors attribute.
      Specified by:
        `getProcessors` in interface `QueueInstance`
      Returns:
        the value of the processors attribute

    - #### isSetProlog

          public boolean isSetProlog()

      Determine if the prolog attribute is set
      Specified by:
        `isSetProlog` in interface `QueueInstance`
      Returns:
        `true` if the prolog attribute is set

    - #### setProlog

          public void setProlog(java.lang.String aProlog)

      Set the prolog attribute.
      Parameters:
        `aProlog` - the new value for the prolog attribute

    - #### getProlog

          public java.lang.String getProlog()

      Get the value of the prolog attribute.
      Specified by:
        `getProlog` in interface `QueueInstance`
      Returns:
        the value of the prolog attribute

    - #### isSetEpilog

          public boolean isSetEpilog()

      Determine if the epilog attribute is set
      Specified by:
        `isSetEpilog` in interface `QueueInstance`
      Returns:
        `true` if the epilog attribute is set

    - #### setEpilog

          public void setEpilog(java.lang.String aEpilog)

      Set the epilog attribute.
      Parameters:
        `aEpilog` - the new value for the epilog attribute

    - #### getEpilog

          public java.lang.String getEpilog()

      Get the value of the epilog attribute.
      Specified by:
        `getEpilog` in interface `QueueInstance`
      Returns:
        the value of the epilog attribute

    - #### isSetShellStartMode

          public boolean isSetShellStartMode()

      Determine if the shellStartMode attribute is set
      Specified by:
        `isSetShellStartMode` in interface `QueueInstance`
      Returns:
        `true` if the shellStartMode attribute is set

    - #### setShellStartMode

          public void setShellStartMode(java.lang.String aShellStartMode)

      Set the shellStartMode attribute.
      Parameters:
        `aShellStartMode` - the new value for the shellStartMode attribute

    - #### getShellStartMode

          public java.lang.String getShellStartMode()

      Get the value of the shellStartMode attribute.
      Specified by:
        `getShellStartMode` in interface `QueueInstance`
      Returns:
        the value of the shellStartMode attribute

    - #### isSetStarterMethod

          public boolean isSetStarterMethod()

      Determine if the starterMethod attribute is set
      Specified by:
        `isSetStarterMethod` in interface `QueueInstance`
      Returns:
        `true` if the starterMethod attribute is set

    - #### setStarterMethod

          public void setStarterMethod(java.lang.String aStarterMethod)

      Set the starterMethod attribute.
      Parameters:
        `aStarterMethod` - the new value for the starterMethod attribute

    - #### getStarterMethod

          public java.lang.String getStarterMethod()

      Get the value of the starterMethod attribute.
      Specified by:
        `getStarterMethod` in interface `QueueInstance`
      Returns:
        the value of the starterMethod attribute

    - #### isSetSuspendMethod

          public boolean isSetSuspendMethod()

      Determine if the suspendMethod attribute is set
      Specified by:
        `isSetSuspendMethod` in interface `QueueInstance`
      Returns:
        `true` if the suspendMethod attribute is set

    - #### setSuspendMethod

          public void setSuspendMethod(java.lang.String aSuspendMethod)

      Set the suspendMethod attribute.
      Parameters:
        `aSuspendMethod` - the new value for the suspendMethod attribute

    - #### getSuspendMethod

          public java.lang.String getSuspendMethod()

      Get the value of the suspendMethod attribute.
      Specified by:
        `getSuspendMethod` in interface `QueueInstance`
      Returns:
        the value of the suspendMethod attribute

    - #### isSetResumeMethod

          public boolean isSetResumeMethod()

      Determine if the resumeMethod attribute is set
      Specified by:
        `isSetResumeMethod` in interface `QueueInstance`
      Returns:
        `true` if the resumeMethod attribute is set

    - #### setResumeMethod

          public void setResumeMethod(java.lang.String aResumeMethod)

      Set the resumeMethod attribute.
      Parameters:
        `aResumeMethod` - the new value for the resumeMethod attribute

    - #### getResumeMethod

          public java.lang.String getResumeMethod()

      Get the value of the resumeMethod attribute.
      Specified by:
        `getResumeMethod` in interface `QueueInstance`
      Returns:
        the value of the resumeMethod attribute

    - #### isSetTerminateMethod

          public boolean isSetTerminateMethod()

      Determine if the terminateMethod attribute is set
      Specified by:
        `isSetTerminateMethod` in interface `QueueInstance`
      Returns:
        `true` if the terminateMethod attribute is set

    - #### setTerminateMethod

          public void setTerminateMethod(java.lang.String aTerminateMethod)

      Set the terminateMethod attribute.
      Parameters:
        `aTerminateMethod` - the new value for the terminateMethod attribute

    - #### getTerminateMethod

          public java.lang.String getTerminateMethod()

      Get the value of the terminateMethod attribute.
      Specified by:
        `getTerminateMethod` in interface `QueueInstance`
      Returns:
        the value of the terminateMethod attribute

    - #### isSetInitialState

          public boolean isSetInitialState()

      Determine if the initialState attribute is set
      Specified by:
        `isSetInitialState` in interface `QueueInstance`
      Returns:
        `true` if the initialState attribute is set

    - #### setInitialState

          public void setInitialState(java.lang.String aInitialState)

      Set the initialState attribute.
      Parameters:
        `aInitialState` - the new value for the initialState attribute

    - #### getInitialState

          public java.lang.String getInitialState()

      Get the value of the initialState attribute.
      Specified by:
        `getInitialState` in interface `QueueInstance`
      Returns:
        the value of the initialState attribute

    - #### isSetRerun

          public boolean isSetRerun()

      Determine if the rerun attribute is set
      Specified by:
        `isSetRerun` in interface `QueueInstance`
      Returns:
        `true` if the rerun attribute is set

    - #### setRerun

          public void setRerun(boolean aRerun)

      Set the rerun attribute.
      Parameters:
        `aRerun` - the new value for the rerun attribute

    - #### isRerun

          public boolean isRerun()

      Get the value of the rerun attribute.
      Specified by:
        `isRerun` in interface `QueueInstance`
      Returns:
        the value of the rerun attribute

    - #### isSetSRt

          public boolean isSetSRt()

      Determine if the sRt attribute is set
      Specified by:
        `isSetSRt` in interface `QueueInstance`
      Returns:
        `true` if the sRt attribute is set

    - #### setSRt

          public void setSRt(java.lang.String aSRt)

      Set the sRt attribute.
      Parameters:
        `aSRt` - the new value for the sRt attribute

    - #### getSRt

          public java.lang.String getSRt()

      Get the value of the sRt attribute.
      Specified by:
        `getSRt` in interface `QueueInstance`
      Returns:
        the value of the sRt attribute

    - #### isSetHRt

          public boolean isSetHRt()

      Determine if the hRt attribute is set
      Specified by:
        `isSetHRt` in interface `QueueInstance`
      Returns:
        `true` if the hRt attribute is set

    - #### setHRt

          public void setHRt(java.lang.String aHRt)

      Set the hRt attribute.
      Parameters:
        `aHRt` - the new value for the hRt attribute

    - #### getHRt

          public java.lang.String getHRt()

      Get the value of the hRt attribute.
      Specified by:
        `getHRt` in interface `QueueInstance`
      Returns:
        the value of the hRt attribute

    - #### isSetSCpu

          public boolean isSetSCpu()

      Determine if the sCpu attribute is set
      Specified by:
        `isSetSCpu` in interface `QueueInstance`
      Returns:
        `true` if the sCpu attribute is set

    - #### setSCpu

          public void setSCpu(java.lang.String aSCpu)

      Set the sCpu attribute.
      Parameters:
        `aSCpu` - the new value for the sCpu attribute

    - #### getSCpu

          public java.lang.String getSCpu()

      Get the value of the sCpu attribute.
      Specified by:
        `getSCpu` in interface `QueueInstance`
      Returns:
        the value of the sCpu attribute

    - #### isSetHCpu

          public boolean isSetHCpu()

      Determine if the hCpu attribute is set
      Specified by:
        `isSetHCpu` in interface `QueueInstance`
      Returns:
        `true` if the hCpu attribute is set

    - #### setHCpu

          public void setHCpu(java.lang.String aHCpu)

      Set the hCpu attribute.
      Parameters:
        `aHCpu` - the new value for the hCpu attribute

    - #### getHCpu

          public java.lang.String getHCpu()

      Get the value of the hCpu attribute.
      Specified by:
        `getHCpu` in interface `QueueInstance`
      Returns:
        the value of the hCpu attribute

    - #### isSetSFsize

          public boolean isSetSFsize()

      Determine if the sFsize attribute is set
      Specified by:
        `isSetSFsize` in interface `QueueInstance`
      Returns:
        `true` if the sFsize attribute is set

    - #### setSFsize

          public void setSFsize(java.lang.String aSFsize)

      Set the sFsize attribute.
      Parameters:
        `aSFsize` - the new value for the sFsize attribute

    - #### getSFsize

          public java.lang.String getSFsize()

      Get the value of the sFsize attribute.
      Specified by:
        `getSFsize` in interface `QueueInstance`
      Returns:
        the value of the sFsize attribute

    - #### isSetHFsize

          public boolean isSetHFsize()

      Determine if the hFsize attribute is set
      Specified by:
        `isSetHFsize` in interface `QueueInstance`
      Returns:
        `true` if the hFsize attribute is set

    - #### setHFsize

          public void setHFsize(java.lang.String aHFsize)

      Set the hFsize attribute.
      Parameters:
        `aHFsize` - the new value for the hFsize attribute

    - #### getHFsize

          public java.lang.String getHFsize()

      Get the value of the hFsize attribute.
      Specified by:
        `getHFsize` in interface `QueueInstance`
      Returns:
        the value of the hFsize attribute

    - #### isSetSData

          public boolean isSetSData()

      Determine if the sData attribute is set
      Specified by:
        `isSetSData` in interface `QueueInstance`
      Returns:
        `true` if the sData attribute is set

    - #### setSData

          public void setSData(java.lang.String aSData)

      Set the sData attribute.
      Parameters:
        `aSData` - the new value for the sData attribute

    - #### getSData

          public java.lang.String getSData()

      Get the value of the sData attribute.
      Specified by:
        `getSData` in interface `QueueInstance`
      Returns:
        the value of the sData attribute

    - #### isSetHData

          public boolean isSetHData()

      Determine if the hData attribute is set
      Specified by:
        `isSetHData` in interface `QueueInstance`
      Returns:
        `true` if the hData attribute is set

    - #### setHData

          public void setHData(java.lang.String aHData)

      Set the hData attribute.
      Parameters:
        `aHData` - the new value for the hData attribute

    - #### getHData

          public java.lang.String getHData()

      Get the value of the hData attribute.
      Specified by:
        `getHData` in interface `QueueInstance`
      Returns:
        the value of the hData attribute

    - #### isSetSStack

          public boolean isSetSStack()

      Determine if the sStack attribute is set
      Specified by:
        `isSetSStack` in interface `QueueInstance`
      Returns:
        `true` if the sStack attribute is set

    - #### setSStack

          public void setSStack(java.lang.String aSStack)

      Set the sStack attribute.
      Parameters:
        `aSStack` - the new value for the sStack attribute

    - #### getSStack

          public java.lang.String getSStack()

      Get the value of the sStack attribute.
      Specified by:
        `getSStack` in interface `QueueInstance`
      Returns:
        the value of the sStack attribute

    - #### isSetHStack

          public boolean isSetHStack()

      Determine if the hStack attribute is set
      Specified by:
        `isSetHStack` in interface `QueueInstance`
      Returns:
        `true` if the hStack attribute is set

    - #### setHStack

          public void setHStack(java.lang.String aHStack)

      Set the hStack attribute.
      Parameters:
        `aHStack` - the new value for the hStack attribute

    - #### getHStack

          public java.lang.String getHStack()

      Get the value of the hStack attribute.
      Specified by:
        `getHStack` in interface `QueueInstance`
      Returns:
        the value of the hStack attribute

    - #### isSetSCore

          public boolean isSetSCore()

      Determine if the sCore attribute is set
      Specified by:
        `isSetSCore` in interface `QueueInstance`
      Returns:
        `true` if the sCore attribute is set

    - #### setSCore

          public void setSCore(java.lang.String aSCore)

      Set the sCore attribute.
      Parameters:
        `aSCore` - the new value for the sCore attribute

    - #### getSCore

          public java.lang.String getSCore()

      Get the value of the sCore attribute.
      Specified by:
        `getSCore` in interface `QueueInstance`
      Returns:
        the value of the sCore attribute

    - #### isSetHCore

          public boolean isSetHCore()

      Determine if the hCore attribute is set
      Specified by:
        `isSetHCore` in interface `QueueInstance`
      Returns:
        `true` if the hCore attribute is set

    - #### setHCore

          public void setHCore(java.lang.String aHCore)

      Set the hCore attribute.
      Parameters:
        `aHCore` - the new value for the hCore attribute

    - #### getHCore

          public java.lang.String getHCore()

      Get the value of the hCore attribute.
      Specified by:
        `getHCore` in interface `QueueInstance`
      Returns:
        the value of the hCore attribute

    - #### isSetSRss

          public boolean isSetSRss()

      Determine if the sRss attribute is set
      Specified by:
        `isSetSRss` in interface `QueueInstance`
      Returns:
        `true` if the sRss attribute is set

    - #### setSRss

          public void setSRss(java.lang.String aSRss)

      Set the sRss attribute.
      Parameters:
        `aSRss` - the new value for the sRss attribute

    - #### getSRss

          public java.lang.String getSRss()

      Get the value of the sRss attribute.
      Specified by:
        `getSRss` in interface `QueueInstance`
      Returns:
        the value of the sRss attribute

    - #### isSetHRss

          public boolean isSetHRss()

      Determine if the hRss attribute is set
      Specified by:
        `isSetHRss` in interface `QueueInstance`
      Returns:
        `true` if the hRss attribute is set

    - #### setHRss

          public void setHRss(java.lang.String aHRss)

      Set the hRss attribute.
      Parameters:
        `aHRss` - the new value for the hRss attribute

    - #### getHRss

          public java.lang.String getHRss()

      Get the value of the hRss attribute.
      Specified by:
        `getHRss` in interface `QueueInstance`
      Returns:
        the value of the hRss attribute

    - #### isSetSVmem

          public boolean isSetSVmem()

      Determine if the sVmem attribute is set
      Specified by:
        `isSetSVmem` in interface `QueueInstance`
      Returns:
        `true` if the sVmem attribute is set

    - #### setSVmem

          public void setSVmem(java.lang.String aSVmem)

      Set the sVmem attribute.
      Parameters:
        `aSVmem` - the new value for the sVmem attribute

    - #### getSVmem

          public java.lang.String getSVmem()

      Get the value of the sVmem attribute.
      Specified by:
        `getSVmem` in interface `QueueInstance`
      Returns:
        the value of the sVmem attribute

    - #### isSetHVmem

          public boolean isSetHVmem()

      Determine if the hVmem attribute is set
      Specified by:
        `isSetHVmem` in interface `QueueInstance`
      Returns:
        `true` if the hVmem attribute is set

    - #### setHVmem

          public void setHVmem(java.lang.String aHVmem)

      Set the hVmem attribute.
      Parameters:
        `aHVmem` - the new value for the hVmem attribute

    - #### getHVmem

          public java.lang.String getHVmem()

      Get the value of the hVmem attribute.
      Specified by:
        `getHVmem` in interface `QueueInstance`
      Returns:
        the value of the hVmem attribute

    - #### isSetSuspendInterval

          public boolean isSetSuspendInterval()

      Determine if the suspendInterval attribute is set
      Specified by:
        `isSetSuspendInterval` in interface `QueueInstance`
      Returns:
        `true` if the suspendInterval attribute is set

    - #### setSuspendInterval

          public void setSuspendInterval(java.lang.String aSuspendInterval)

      Set the suspendInterval attribute.
      Parameters:
        `aSuspendInterval` - the new value for the suspendInterval attribute

    - #### getSuspendInterval

          public java.lang.String getSuspendInterval()

      Get the value of the suspendInterval attribute.
      Specified by:
        `getSuspendInterval` in interface `QueueInstance`
      Returns:
        the value of the suspendInterval attribute

    - #### isSetMinCpuInterval

          public boolean isSetMinCpuInterval()

      Determine if the minCpuInterval attribute is set
      Specified by:
        `isSetMinCpuInterval` in interface `QueueInstance`
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### setMinCpuInterval

          public void setMinCpuInterval(java.lang.String aMinCpuInterval)

      Set the minCpuInterval attribute.
      Parameters:
        `aMinCpuInterval` - the new value for the minCpuInterval attribute

    - #### getMinCpuInterval

          public java.lang.String getMinCpuInterval()

      Get the value of the minCpuInterval attribute.
      Specified by:
        `getMinCpuInterval` in interface `QueueInstance`
      Returns:
        the value of the minCpuInterval attribute

    - #### isSetNotify

          public boolean isSetNotify()

      Determine if the notify attribute is set
      Specified by:
        `isSetNotify` in interface `QueueInstance`
      Returns:
        `true` if the notify attribute is set

    - #### setNotify

          public void setNotify(java.lang.String aNotify)

      Set the notify attribute.
      Parameters:
        `aNotify` - the new value for the notify attribute

    - #### getNotify

          public java.lang.String getNotify()

      Get the value of the notify attribute.
      Specified by:
        `getNotify` in interface `QueueInstance`
      Returns:
        the value of the notify attribute

    - #### addCkpt

          public void addCkpt(java.lang.String ackpt)

      Add a java.lang.String attribute.
      Parameters:
        `ackpt` - the new java.lang.String attribute

    - #### setCkpt

          public void setCkpt(int index,
                              java.lang.String ackpt)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ackpt` - the new java.lang.String attribute

    - #### removeAllCkpt

          public void removeAllCkpt()

      Remove all java.lang.String attributes.

    - #### removeCkpt

          public java.lang.String removeCkpt(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeCkpt

          public boolean removeCkpt(java.lang.String ackpt)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ackpt` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getCkptList

          public java.util.List<java.lang.String> getCkptList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getCkptList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getCkptCount

          public int getCkptCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getCkptCount` in interface `QueueInstance`
      Returns:
        The number of java.lang.String attributes.

    - #### getCkpt

          public java.lang.String getCkpt(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getCkpt` in interface `QueueInstance`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetCkpt

          public boolean isSetCkpt()

      Determine if the ckpt attribute is set
      Specified by:
        `isSetCkpt` in interface `QueueInstance`
      Returns:
        `true` if the ckpt attribute is set

    - #### addPe

          public void addPe(java.lang.String ape)

      Add a java.lang.String attribute.
      Parameters:
        `ape` - the new java.lang.String attribute

    - #### setPe

          public void setPe(int index,
                            java.lang.String ape)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ape` - the new java.lang.String attribute

    - #### removeAllPe

          public void removeAllPe()

      Remove all java.lang.String attributes.

    - #### removePe

          public java.lang.String removePe(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removePe

          public boolean removePe(java.lang.String ape)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ape` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getPeList

          public java.util.List<java.lang.String> getPeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getPeList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getPeCount

          public int getPeCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getPeCount` in interface `QueueInstance`
      Returns:
        The number of java.lang.String attributes.

    - #### getPe

          public java.lang.String getPe(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getPe` in interface `QueueInstance`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetPe

          public boolean isSetPe()

      Determine if the pe attribute is set
      Specified by:
        `isSetPe` in interface `QueueInstance`
      Returns:
        `true` if the pe attribute is set

    - #### addOwner

          public void addOwner(UserSet aowner)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aowner` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setOwner

          public void setOwner(int index,
                               UserSet aowner)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aowner` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllOwner

          public void removeAllOwner()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeOwner

          public UserSet removeOwner(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeOwner

          public boolean removeOwner(UserSet aowner)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aowner` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getOwnerList

          public java.util.List<UserSet> getOwnerList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getOwnerList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getOwnerCount

          public int getOwnerCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getOwnerCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getOwner

          public UserSet getOwner(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getOwner` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetOwner

          public boolean isSetOwner()

      Determine if the owner attribute is set
      Specified by:
        `isSetOwner` in interface `QueueInstance`
      Returns:
        `true` if the owner attribute is set

    - #### addAcl

          public void addAcl(UserSet aacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setAcl

          public void setAcl(int index,
                             UserSet aacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllAcl

          public void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeAcl

          public UserSet removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          public boolean removeAcl(UserSet aacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getAclList

          public java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          public int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getAclCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          public UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getAcl` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetAcl

          public boolean isSetAcl()

      Determine if the acl attribute is set
      Specified by:
        `isSetAcl` in interface `QueueInstance`
      Returns:
        `true` if the acl attribute is set

    - #### addXacl

          public void addXacl(UserSet axacl)

      Add a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### setXacl

          public void setXacl(int index,
                              UserSet axacl)

      Set a com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.UserSet attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.UserSet attribute

    - #### removeAllXacl

          public void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### removeXacl

          public UserSet removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.UserSet attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          public boolean removeXacl(UserSet axacl)

      Remote a specific com.sun.grid.jgdi.configuration.UserSet attribute.
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.UserSet attribute has been removed

    - #### getXaclList

          public java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          public int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Specified by:
        `getXaclCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          public UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Specified by:
        `getXacl` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetXacl

          public boolean isSetXacl()

      Determine if the xacl attribute is set
      Specified by:
        `isSetXacl` in interface `QueueInstance`
      Returns:
        `true` if the xacl attribute is set

    - #### addProjects

          public void addProjects(Project aprojects)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `aprojects` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setProjects

          public void setProjects(int index,
                                  Project aprojects)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `aprojects` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllProjects

          public void removeAllProjects()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.

    - #### removeProjects

          public Project removeProjects(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removeProjects

          public boolean removeProjects(Project aprojects)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `aprojects` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### getProjectsList

          public java.util.List<Project> getProjectsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getProjectsList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getProjectsCount

          public int getProjectsCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getProjectsCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getProjects

          public Project getProjects(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `getProjects` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetProjects

          public boolean isSetProjects()

      Determine if the projects attribute is set
      Specified by:
        `isSetProjects` in interface `QueueInstance`
      Returns:
        `true` if the projects attribute is set

    - #### addXprojects

          public void addXprojects(Project axprojects)

      Add a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `axprojects` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### setXprojects

          public void setXprojects(int index,
                                   Project axprojects)

      Set a com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Project attribute
        `axprojects` - the new com.sun.grid.jgdi.configuration.Project attribute

    - #### removeAllXprojects

          public void removeAllXprojects()

      Remove all com.sun.grid.jgdi.configuration.Project attributes.

    - #### removeXprojects

          public Project removeXprojects(int index)

      Remote a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Project attribute or `null` if no attribute at this index is stored

    - #### removeXprojects

          public boolean removeXprojects(Project axprojects)

      Remote a specific com.sun.grid.jgdi.configuration.Project attribute.
      Parameters:
        `axprojects` - the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Project attribute has been removed

    - #### getXprojectsList

          public java.util.List<Project> getXprojectsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getXprojectsList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getXprojectsCount

          public int getXprojectsCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Specified by:
        `getXprojectsCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getXprojects

          public Project getXprojects(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Specified by:
        `getXprojects` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetXprojects

          public boolean isSetXprojects()

      Determine if the xprojects attribute is set
      Specified by:
        `isSetXprojects` in interface `QueueInstance`
      Returns:
        `true` if the xprojects attribute is set

    - #### addConsumableConfig

          public void addConsumableConfig(ComplexEntry aconsumableConfig)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setConsumableConfig

          public void setConsumableConfig(int index,
                                          ComplexEntry aconsumableConfig)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aconsumableConfig` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllConsumableConfig

          public void removeAllConsumableConfig()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeConsumableConfig

          public ComplexEntry removeConsumableConfig(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeConsumableConfig

          public boolean removeConsumableConfig(ComplexEntry aconsumableConfig)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aconsumableConfig` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getConsumableConfigList

          public java.util.List<ComplexEntry> getConsumableConfigList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getConsumableConfigList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getConsumableConfigCount

          public int getConsumableConfigCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getConsumableConfigCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getConsumableConfig

          public ComplexEntry getConsumableConfig(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getConsumableConfig` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetConsumableConfig

          public boolean isSetConsumableConfig()

      Determine if the consumableConfig attribute is set
      Specified by:
        `isSetConsumableConfig` in interface `QueueInstance`
      Returns:
        `true` if the consumableConfig attribute is set

    - #### addLoadThresholds

          public void addLoadThresholds(ComplexEntry aloadThresholds)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aloadThresholds` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setLoadThresholds

          public void setLoadThresholds(int index,
                                        ComplexEntry aloadThresholds)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aloadThresholds` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllLoadThresholds

          public void removeAllLoadThresholds()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeLoadThresholds

          public ComplexEntry removeLoadThresholds(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeLoadThresholds

          public boolean removeLoadThresholds(ComplexEntry aloadThresholds)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `aloadThresholds` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getLoadThresholdsList

          public java.util.List<ComplexEntry> getLoadThresholdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getLoadThresholdsList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getLoadThresholdsCount

          public int getLoadThresholdsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getLoadThresholdsCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getLoadThresholds

          public ComplexEntry getLoadThresholds(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getLoadThresholds` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetLoadThresholds

          public boolean isSetLoadThresholds()

      Determine if the loadThresholds attribute is set
      Specified by:
        `isSetLoadThresholds` in interface `QueueInstance`
      Returns:
        `true` if the loadThresholds attribute is set

    - #### addSuspendThresholds

          public void addSuspendThresholds(ComplexEntry asuspendThresholds)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `asuspendThresholds` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setSuspendThresholds

          public void setSuspendThresholds(int index,
                                           ComplexEntry asuspendThresholds)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `asuspendThresholds` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllSuspendThresholds

          public void removeAllSuspendThresholds()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeSuspendThresholds

          public ComplexEntry removeSuspendThresholds(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeSuspendThresholds

          public boolean removeSuspendThresholds(ComplexEntry asuspendThresholds)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `asuspendThresholds` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getSuspendThresholdsList

          public java.util.List<ComplexEntry> getSuspendThresholdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getSuspendThresholdsList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getSuspendThresholdsCount

          public int getSuspendThresholdsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getSuspendThresholdsCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getSuspendThresholds

          public ComplexEntry getSuspendThresholds(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getSuspendThresholds` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetSuspendThresholds

          public boolean isSetSuspendThresholds()

      Determine if the suspendThresholds attribute is set
      Specified by:
        `isSetSuspendThresholds` in interface `QueueInstance`
      Returns:
        `true` if the suspendThresholds attribute is set

    - #### addSubordinate

          public void addSubordinate(Subordinate asubordinate)

      Add a com.sun.grid.jgdi.configuration.Subordinate attribute.
      Parameters:
        `asubordinate` - the new com.sun.grid.jgdi.configuration.Subordinate attribute

    - #### setSubordinate

          public void setSubordinate(int index,
                                     Subordinate asubordinate)

      Set a com.sun.grid.jgdi.configuration.Subordinate attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Subordinate attribute
        `asubordinate` - the new com.sun.grid.jgdi.configuration.Subordinate attribute

    - #### removeAllSubordinate

          public void removeAllSubordinate()

      Remove all com.sun.grid.jgdi.configuration.Subordinate attributes.

    - #### removeSubordinate

          public Subordinate removeSubordinate(int index)

      Remote a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Subordinate attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Subordinate attribute or `null` if no attribute at this index is stored

    - #### removeSubordinate

          public boolean removeSubordinate(Subordinate asubordinate)

      Remote a specific com.sun.grid.jgdi.configuration.Subordinate attribute.
      Parameters:
        `asubordinate` - the com.sun.grid.jgdi.configuration.Subordinate attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Subordinate attribute has been removed

    - #### getSubordinateList

          public java.util.List<Subordinate> getSubordinateList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Subordinate attributes.
      Specified by:
        `getSubordinateList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Subordinate attributes

    - #### getSubordinateCount

          public int getSubordinateCount()

      Get the number of com.sun.grid.jgdi.configuration.Subordinate attributes.
      Specified by:
        `getSubordinateCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Subordinate attributes.

    - #### getSubordinate

          public Subordinate getSubordinate(int index)

      Get a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
      Specified by:
        `getSubordinate` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Subordinate attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Subordinate attribute

    - #### isSetSubordinate

          public boolean isSetSubordinate()

      Determine if the subordinate attribute is set
      Specified by:
        `isSetSubordinate` in interface `QueueInstance`
      Returns:
        `true` if the subordinate attribute is set

    - #### isSetTagged4schedule

          public boolean isSetTagged4schedule()

      Determine if the tagged4schedule attribute is set
      Specified by:
        `isSetTagged4schedule` in interface `QueueInstance`
      Returns:
        `true` if the tagged4schedule attribute is set

    - #### setTagged4schedule

          public void setTagged4schedule(int aTagged4schedule)

      Set the tagged4schedule attribute.
      Parameters:
        `aTagged4schedule` - the new value for the tagged4schedule attribute

    - #### getTagged4schedule

          public int getTagged4schedule()

      Get the value of the tagged4schedule attribute.
      Specified by:
        `getTagged4schedule` in interface `QueueInstance`
      Returns:
        the value of the tagged4schedule attribute

    - #### isSetCacheVersion

          public boolean isSetCacheVersion()

      Determine if the cacheVersion attribute is set
      Specified by:
        `isSetCacheVersion` in interface `QueueInstance`
      Returns:
        `true` if the cacheVersion attribute is set

    - #### setCacheVersion

          public void setCacheVersion(int aCacheVersion)

      Set the cacheVersion attribute.
      Parameters:
        `aCacheVersion` - the new value for the cacheVersion attribute

    - #### getCacheVersion

          public int getCacheVersion()

      Get the value of the cacheVersion attribute.
      Specified by:
        `getCacheVersion` in interface `QueueInstance`
      Returns:
        the value of the cacheVersion attribute

    - #### isSetPendingSignal

          public boolean isSetPendingSignal()

      Determine if the pendingSignal attribute is set
      Specified by:
        `isSetPendingSignal` in interface `QueueInstance`
      Returns:
        `true` if the pendingSignal attribute is set

    - #### setPendingSignal

          public void setPendingSignal(int aPendingSignal)

      Set the pendingSignal attribute.
      Parameters:
        `aPendingSignal` - the new value for the pendingSignal attribute

    - #### getPendingSignal

          public int getPendingSignal()

      Get the value of the pendingSignal attribute.
      Specified by:
        `getPendingSignal` in interface `QueueInstance`
      Returns:
        the value of the pendingSignal attribute

    - #### isSetPendingSignalDeliveryTime

          public boolean isSetPendingSignalDeliveryTime()

      Determine if the pendingSignalDeliveryTime attribute is set
      Specified by:
        `isSetPendingSignalDeliveryTime` in interface `QueueInstance`
      Returns:
        `true` if the pendingSignalDeliveryTime attribute is set

    - #### setPendingSignalDeliveryTime

          public void setPendingSignalDeliveryTime(int aPendingSignalDeliveryTime)

      Set the pendingSignalDeliveryTime attribute.
      Parameters:
        `aPendingSignalDeliveryTime` - the new value for the pendingSignalDeliveryTime attribute

    - #### getPendingSignalDeliveryTime

          public int getPendingSignalDeliveryTime()

      Get the value of the pendingSignalDeliveryTime attribute.
      Specified by:
        `getPendingSignalDeliveryTime` in interface `QueueInstance`
      Returns:
        the value of the pendingSignalDeliveryTime attribute

    - #### isSetVersion

          public boolean isSetVersion()

      Determine if the version attribute is set
      Specified by:
        `isSetVersion` in interface `QueueInstance`
      Returns:
        `true` if the version attribute is set

    - #### setVersion

          public void setVersion(int aVersion)

      Set the version attribute.
      Parameters:
        `aVersion` - the new value for the version attribute

    - #### getVersion

          public int getVersion()

      Get the value of the version attribute.
      Specified by:
        `getVersion` in interface `QueueInstance`
      Returns:
        the value of the version attribute

    - #### isSetSuspendedOnSubordinate

          public boolean isSetSuspendedOnSubordinate()

      Determine if the suspendedOnSubordinate attribute is set
      Specified by:
        `isSetSuspendedOnSubordinate` in interface `QueueInstance`
      Returns:
        `true` if the suspendedOnSubordinate attribute is set

    - #### setSuspendedOnSubordinate

          public void setSuspendedOnSubordinate(int aSuspendedOnSubordinate)

      Set the suspendedOnSubordinate attribute.
      Parameters:
        `aSuspendedOnSubordinate` - the new value for the suspendedOnSubordinate attribute

    - #### getSuspendedOnSubordinate

          public int getSuspendedOnSubordinate()

      Get the value of the suspendedOnSubordinate attribute.
      Specified by:
        `getSuspendedOnSubordinate` in interface `QueueInstance`
      Returns:
        the value of the suspendedOnSubordinate attribute

    - #### isSetLastSuspendThresholdCkeck

          public boolean isSetLastSuspendThresholdCkeck()

      Determine if the lastSuspendThresholdCkeck attribute is set
      Specified by:
        `isSetLastSuspendThresholdCkeck` in interface `QueueInstance`
      Returns:
        `true` if the lastSuspendThresholdCkeck attribute is set

    - #### setLastSuspendThresholdCkeck

          public void setLastSuspendThresholdCkeck(int aLastSuspendThresholdCkeck)

      Set the lastSuspendThresholdCkeck attribute.
      Parameters:
        `aLastSuspendThresholdCkeck` - the new value for the lastSuspendThresholdCkeck attribute

    - #### getLastSuspendThresholdCkeck

          public int getLastSuspendThresholdCkeck()

      Get the value of the lastSuspendThresholdCkeck attribute.
      Specified by:
        `getLastSuspendThresholdCkeck` in interface `QueueInstance`
      Returns:
        the value of the lastSuspendThresholdCkeck attribute

    - #### isSetJobCnt

          public boolean isSetJobCnt()

      Determine if the jobCnt attribute is set
      Specified by:
        `isSetJobCnt` in interface `QueueInstance`
      Returns:
        `true` if the jobCnt attribute is set

    - #### setJobCnt

          public void setJobCnt(int aJobCnt)

      Set the jobCnt attribute.
      Parameters:
        `aJobCnt` - the new value for the jobCnt attribute

    - #### getJobCnt

          public int getJobCnt()

      Get the value of the jobCnt attribute.
      Specified by:
        `getJobCnt` in interface `QueueInstance`
      Returns:
        the value of the jobCnt attribute

    - #### isSetPendingJobCnt

          public boolean isSetPendingJobCnt()

      Determine if the pendingJobCnt attribute is set
      Specified by:
        `isSetPendingJobCnt` in interface `QueueInstance`
      Returns:
        `true` if the pendingJobCnt attribute is set

    - #### setPendingJobCnt

          public void setPendingJobCnt(int aPendingJobCnt)

      Set the pendingJobCnt attribute.
      Parameters:
        `aPendingJobCnt` - the new value for the pendingJobCnt attribute

    - #### getPendingJobCnt

          public int getPendingJobCnt()

      Get the value of the pendingJobCnt attribute.
      Specified by:
        `getPendingJobCnt` in interface `QueueInstance`
      Returns:
        the value of the pendingJobCnt attribute

    - #### isSetSoftViolation

          public boolean isSetSoftViolation()

      Determine if the softViolation attribute is set
      Specified by:
        `isSetSoftViolation` in interface `QueueInstance`
      Returns:
        `true` if the softViolation attribute is set

    - #### setSoftViolation

          public void setSoftViolation(int aSoftViolation)

      Set the softViolation attribute.
      Parameters:
        `aSoftViolation` - the new value for the softViolation attribute

    - #### getSoftViolation

          public int getSoftViolation()

      Get the value of the softViolation attribute.
      Specified by:
        `getSoftViolation` in interface `QueueInstance`
      Returns:
        the value of the softViolation attribute

    - #### isSetHostSeqNo

          public boolean isSetHostSeqNo()

      Determine if the hostSeqNo attribute is set
      Specified by:
        `isSetHostSeqNo` in interface `QueueInstance`
      Returns:
        `true` if the hostSeqNo attribute is set

    - #### setHostSeqNo

          public void setHostSeqNo(int aHostSeqNo)

      Set the hostSeqNo attribute.
      Parameters:
        `aHostSeqNo` - the new value for the hostSeqNo attribute

    - #### getHostSeqNo

          public int getHostSeqNo()

      Get the value of the hostSeqNo attribute.
      Specified by:
        `getHostSeqNo` in interface `QueueInstance`
      Returns:
        the value of the hostSeqNo attribute

    - #### addResourceUtilization

          public void addResourceUtilization(ResourceUtilization aresourceUtilization)

      Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `aresourceUtilization` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### setResourceUtilization

          public void setResourceUtilization(int index,
                                             ResourceUtilization aresourceUtilization)

      Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute
        `aresourceUtilization` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### removeAllResourceUtilization

          public void removeAllResourceUtilization()

      Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### removeResourceUtilization

          public ResourceUtilization removeResourceUtilization(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceUtilization attribute or `null` if no attribute at this index is stored

    - #### removeResourceUtilization

          public boolean removeResourceUtilization(ResourceUtilization aresourceUtilization)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `aresourceUtilization` - the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceUtilization attribute has been removed

    - #### getResourceUtilizationList

          public java.util.List<ResourceUtilization> getResourceUtilizationList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getResourceUtilizationList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getResourceUtilizationCount

          public int getResourceUtilizationCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getResourceUtilizationCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getResourceUtilization

          public ResourceUtilization getResourceUtilization(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Specified by:
        `getResourceUtilization` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetResourceUtilization

          public boolean isSetResourceUtilization()

      Determine if the resourceUtilization attribute is set
      Specified by:
        `isSetResourceUtilization` in interface `QueueInstance`
      Returns:
        `true` if the resourceUtilization attribute is set

    - #### addMessage

          public void addMessage(QueueInstanceMessage amessage)

      Add a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### setMessage

          public void setMessage(int index,
                                 QueueInstanceMessage amessage)

      Set a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute
        `amessage` - the new com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### removeAllMessage

          public void removeAllMessage()

      Remove all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### removeMessage

          public QueueInstanceMessage removeMessage(int index)

      Remote a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute or `null` if no attribute at this index is stored

    - #### removeMessage

          public boolean removeMessage(QueueInstanceMessage amessage)

      Remote a specific com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute.
      Parameters:
        `amessage` - the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute has been removed

    - #### getMessageList

          public java.util.List<QueueInstanceMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Specified by:
        `getMessageList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes

    - #### getMessageCount

          public int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Specified by:
        `getMessageCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### getMessage

          public QueueInstanceMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Specified by:
        `getMessage` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### isSetMessage

          public boolean isSetMessage()

      Determine if the message attribute is set
      Specified by:
        `isSetMessage` in interface `QueueInstance`
      Returns:
        `true` if the message attribute is set

    - #### isSetGdiDoLater

          public boolean isSetGdiDoLater()

      Determine if the gdiDoLater attribute is set
      Specified by:
        `isSetGdiDoLater` in interface `QueueInstance`
      Returns:
        `true` if the gdiDoLater attribute is set

    - #### setGdiDoLater

          public void setGdiDoLater(int aGdiDoLater)

      Set the gdiDoLater attribute.
      Parameters:
        `aGdiDoLater` - the new value for the gdiDoLater attribute

    - #### getGdiDoLater

          public int getGdiDoLater()

      Get the value of the gdiDoLater attribute.
      Specified by:
        `getGdiDoLater` in interface `QueueInstance`
      Returns:
        the value of the gdiDoLater attribute

    - #### addStateChanges

          public void addStateChanges(CalendarQueueState astateChanges)

      Add a com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
      Parameters:
        `astateChanges` - the new com.sun.grid.jgdi.configuration.CalendarQueueState attribute

    - #### setStateChanges

          public void setStateChanges(int index,
                                      CalendarQueueState astateChanges)

      Set a com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.CalendarQueueState attribute
        `astateChanges` - the new com.sun.grid.jgdi.configuration.CalendarQueueState attribute

    - #### removeAllStateChanges

          public void removeAllStateChanges()

      Remove all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.

    - #### removeStateChanges

          public CalendarQueueState removeStateChanges(int index)

      Remote a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.CalendarQueueState attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.CalendarQueueState attribute or `null` if no attribute at this index is stored

    - #### removeStateChanges

          public boolean removeStateChanges(CalendarQueueState astateChanges)

      Remote a specific com.sun.grid.jgdi.configuration.CalendarQueueState attribute.
      Parameters:
        `astateChanges` - the com.sun.grid.jgdi.configuration.CalendarQueueState attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.CalendarQueueState attribute has been removed

    - #### getStateChangesList

          public java.util.List<CalendarQueueState> getStateChangesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
      Specified by:
        `getStateChangesList` in interface `QueueInstance`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.CalendarQueueState attributes

    - #### getStateChangesCount

          public int getStateChangesCount()

      Get the number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
      Specified by:
        `getStateChangesCount` in interface `QueueInstance`
      Returns:
        The number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.

    - #### getStateChanges

          public CalendarQueueState getStateChanges(int index)

      Get a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
      Specified by:
        `getStateChanges` in interface `QueueInstance`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.CalendarQueueState attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.CalendarQueueState attribute

    - #### isSetStateChanges

          public boolean isSetStateChanges()

      Determine if the stateChanges attribute is set
      Specified by:
        `isSetStateChanges` in interface `QueueInstance`
      Returns:
        `true` if the stateChanges attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `QueueInstance`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.